Update a specific Sub-Status by id
curl --request PUT \
--url https://api.rootly.com/v1/sub_statuses/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "sub_statuses",
"attributes": {
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"position": 123
}
}
}
'{
"data": {
"id": "765a6f1b-b159-496b-a1dc-d7ac2ddb65f3",
"type": "sub_statuses",
"attributes": {
"name": "18fo2",
"description": "Updated description",
"slug": "18fo2",
"parent_status": "started",
"position": 3,
"deleted_at": null,
"updated_at": "2026-01-21T11:23:13.860-08:00",
"created_at": "2026-01-21T11:23:12.742-08:00"
}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Resource UUID
Show child attributes
sub_status updated
Show child attributes
Was this page helpful?
curl --request PUT \
--url https://api.rootly.com/v1/sub_statuses/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "sub_statuses",
"attributes": {
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"position": 123
}
}
}
'{
"data": {
"id": "765a6f1b-b159-496b-a1dc-d7ac2ddb65f3",
"type": "sub_statuses",
"attributes": {
"name": "18fo2",
"description": "Updated description",
"slug": "18fo2",
"parent_status": "started",
"position": 3,
"deleted_at": null,
"updated_at": "2026-01-21T11:23:13.860-08:00",
"created_at": "2026-01-21T11:23:12.742-08:00"
}
}
}